## bootchart 0.90.2-8ubuntu2

=== Makefile ===
CC = gcc
CFLAGS = -g -Wall -Os

all: bootchart-collector

bootchart-collector: bootchart-collector.o
	$(CC) -o $@ $<

clean:
	-rm -f *.o bootchart-collector

## bootchart 0.90.1-3

=== debian/changelog ===
bootchart (0.90.1-3) jaunty; urgency=low

  * Recommend bootchart-java in preference over pybootchartgui, so we can
    pull this back into main for jaunty.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Apr 2009 08:58:29 +0000

bootchart (0.90.1-2) jaunty; urgency=low

  * Recommend bootchart-java as an alternative to pybootchartgui.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 11 Mar 2009 11:39:44 +0000

bootchart (0.90.1-1) jaunty; urgency=low

  * Ignore errors when reading from /proc/$pid/stat, which seems to be the
    cause of the collector exiting randomly.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 09 Mar 2009 20:36:20 +0000

bootchart (0.90.0-1) jaunty; urgency=low

  * Remove the Java code completely, this package now only contains the
    Ubuntu-authored collector tool and initramfs and init scripts.  To
    generate charts install the recommended pybootchartgui tool.
    LP: #338825, #338827.

  * Include the hostname in the generated bootchart filename.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 09 Mar 2009 18:06:51 +0000

bootchart (0.9-0ubuntu14) jaunty; urgency=low

  * Exit immediately from the init scripts if /lib/bootchart/collector isn't
    executable (or present).
  * postrm: Only "update-rc.d remove" on purge as conffile (including init
    scripts) are still present after the files have been removed and
    update-rc.d wont remove rc symlinks by default when the init script is
    still present; LP: #330463.
  * Call dh_installdocs to install the copyright file.
  * Add ${misc:Depends} and ${shlibs:Depends} to Depends; the latter caused
    the libc6 dep to be missing and libc6 is copied to the initramfs by
    cpoy_exec()'s ldd mechanism.
  * Drop "universe/" from Section.

 -- Loic Minier <lool@dooz.org>  Tue, 17 Feb 2009 11:45:34 +0100

bootchart (0.9-0ubuntu13) jaunty; urgency=low

  * Turns out this needs a full JRE, not just a headless one.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 16 Feb 2009 12:18:05 +0000

bootchart (0.9-0ubuntu12) jaunty; urgency=low

  * Handle different ld-linux.so name on amd64. (LP: #327778)

 -- Soren Hansen <soren@ubuntu.com>  Wed, 11 Feb 2009 11:13:59 +0100

bootchart (0.9-0ubuntu11) jaunty; urgency=low

  * Build using default-jdk-builddep, depend on default-jre-headless.
  * Set JAVA_HOME when calling ant.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Feb 2009 13:36:08 +0100

bootchart (0.9-0ubuntu10) jaunty; urgency=low

  * Fix $HZ setting. 

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Feb 2009 23:30:16 +0100

bootchart (0.9-0ubuntu9) jaunty; urgency=low

  * Oops, upload properly to the archive since a version intended for
    PPA got uploaded anyway.
  * Fix the collector to only write a single uptime for each /proc/*/stat
    block, and try and aim for a little less CPU overhead by leaving
    files open.
  * Allow frequency to be changed with bootchart=100hz on kernel command-line,
    this can be combined with nostop; e.g. bootchart=100hz,nostop

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Feb 2009 17:02:13 +0100

bootchart (0.9-0ubuntu8) jaunty; urgency=low

  * Rewrite the collector in C to be more efficient, and provide a
    separate gatherer script to generate tarballs without the chart.
    Happens to fix LP: #254954.
  * Allow people to bypass svg->png conversion with bootchart=svg
    LP: #204186, #218499.
  * Allow people to disable the stop script with bootchart=nostop
    (so you can chart login time).
  * Provide an init script that will run bootchart when the initramfs
    didn't.
  * Update all kernels when installing or removing.  LP: #294487.
  * Stop bootchart when entering single user mode.  LP: #242905.
  * Fix postrm to remove the right init script.  LP: #163477.

  * Drop the udeb and upload support, since these haven't been maintained.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Feb 2009 15:06:42 +0100

bootchart (0.9-0ubuntu7) feisty; urgency=low

  * Permit this to be run with the Sun JRE, and built with the Sun JDK.
    LP #81431.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 28 Mar 2007 14:59:32 +0100

bootchart (0.9-0ubuntu6) dapper; urgency=low

  * Rename the init script to just S99stop-bootchart
  * Don't bother charting if profiling is enabled, otherwise we just skew
    the results.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 23 Feb 2006 15:01:05 +0000

bootchart (0.9-0ubuntu5) dapper; urgency=low

  * Add bootchart=disabled and bootchart=upload,$type arguments which will
    respectively disable bootcharting and upload charts to
    bootchart.err.no.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 19 Dec 2005 13:52:35 +0100

bootchart (0.9-0ubuntu4) dapper; urgency=low

  * Add udeb to generate charts from d-i as well.  This is only activated
    if the a "bootchart" flag is seen on the kernel command line.
  * Remove build's dependend on patch-stamp to fix FTBFS.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 30 Nov 2005 15:45:51 +0100

bootchart (0.9-0ubuntu3) dapper; urgency=low

  * Drop -t from update-initramfs call again now the kernel does the
    right thing.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 30 Nov 2005 12:46:19 +0000

bootchart (0.9-0ubuntu2) dapper; urgency=low

  * Depend on the version of klibc that includes sleep/nanosleep:
    - drop our patch to include it
    - drop mkinitramfs hook as it'll be copied anyway
    - copy and use /bin/sleep in the bootchart script instead of nanosleep
    - copy /lib/klibc-*.so into the bootchart jail as the new sleep is
      dynamically linked
  * bootchart.jar should be arch-independant (like this package) so install
    in /usr/share/bootchart rather than /usr/lib/bootchart

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 Nov 2005 07:49:32 +0000

bootchart (0.9-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - most changes were included in the previous release, drop
      debian/patches/01-CVS-20051110.patch


=== debian/control ===
Source: bootchart
Section: admin
Priority: extra
Maintainer: Scott James Remnant <scott@ubuntu.com>
Standards-Version: 3.6.2.1
Build-Depends: debhelper (>= 4.1)

Package: bootchart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools, lsb-base, lsb-release, initscripts, klibc-utils (>= 1.1.1-4ubuntu6)
Recommends: bootchart-java | pybootchartgui
Description: boot sequence auditing
 bootchart allows you to audit the boot sequence of your computer and
 generate a pretty chart of the processes run, including how long they
 took and how much CPU and I/O they used.
 .
 The auditing is performed by a tool that runs in your initramfs, or
 early in your boot sequence, and records system statistics as your
 computer boots.
 .
 Tarballs of this data are left in /var/log/bootchart; from these either
 PNG or SVG will be generated if pybootchartgui is installed.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the bootchart package.
# Copyright © 2009 Canonical Ltd.
# Author: Scott James Remnant <scott@ubuntu.com>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

# Build the package
build:  build-stamp
build-stamp:
	dh_testdir

	$(MAKE)
	touch $@

# Install files into the deb
install:
install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	install -D -m 755 -o root -g root bootchart-collector \
		debian/bootchart/lib/bootchart/collector
	install -D -m 755 -o root -g root bootchart-gather.sh \
		debian/bootchart/lib/bootchart/gather

	install -D -m 755 -o root -g root debian/bootchart.init \
		debian/bootchart/etc/init.d/bootchart
	install -D -m 755 -o root -g root debian/bootchart.stop.init \
		debian/bootchart/etc/init.d/stop-bootchart
	install -D -m 755 -o root -g root debian/bootchart.initramfs-hook \
		debian/bootchart/usr/share/initramfs-tools/hooks/bootchart
	install -D -m 755 -o root -g root debian/bootchart.initramfs-script \
		debian/bootchart/usr/share/initramfs-tools/scripts/init-top/bootchart


binary: binary-indep binary-arch

# Build architecture-independent files here.
binary-indep: DH_OPTIONS=-i
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Clean up the mess we made
clean: clean-source unpatch
clean-source:
	dh_testdir
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean 


.PHONY: patch unpatch build install binary-indep binary-arch binary clean clean-source

## bootchart 0.90.2-3

=== debian/changelog ===
bootchart (0.90.2-3) karmic; urgency=low

  * Change startup condition of bootstart to virtual-filesystems so that
    /var/run is mounted (this is the non-initramfs case, with initramfs
    bootchart is started from there).

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 24 Sep 2009 09:53:32 -0700

bootchart (0.90.2-2) karmic; urgency=low

  * Fix inverted logic for profile and bootchart=disable checking 

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 Sep 2009 21:49:14 -0700

bootchart (0.90.2-1) karmic; urgency=low

  * Convert init scripts to Upstart jobs
  * Write pid of collector to /dev/.initramfs so Upstart can pick it up and
    "fake" the job
  * debian/control:
    - Increase build-dependency on debhelper for upstart-aware dh_installinit
    - Remove dependency on initscripts

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 Sep 2009 11:53:32 -0700

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Scott James Remnant <scott@ubuntu.com>
 Standards-Version: 3.6.2.1
-Build-Depends: debhelper (>= 4.1)
+Build-Depends: debhelper (>= 7.3.15ubuntu2)
 
 Package: bootchart
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools, lsb-base, lsb-release, initscripts, klibc-utils (>= 1.1.1-4ubuntu6)
+Depends: ${misc:Depends}, ${shlibs:Depends}, upstart (>= 0.6.3-4), initramfs-tools, lsb-base, lsb-release, klibc-utils (>= 1.1.1-4ubuntu6)
 Recommends: bootchart-java | pybootchartgui
 Description: boot sequence auditing
  bootchart allows you to audit the boot sequence of your computer and

## bootchart 0.90.2-7

=== debian/changelog ===
bootchart (0.90.2-7) lucid; urgency=low

  * debian/bootchart.upstart:
    - add Kubuntu, Xubuntu, and other popular window managers to drop list.
    - add annotation lines to match daily-bootcharts.
  * debian/bootchart.initramfs-script:
    - copy ld.so.* on PPC.  LP: #500448. 

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 22 Mar 2010 18:16:13 +0000

bootchart (0.90.2-6) lucid; urgency=low

  * Get correct cpu count on armel (LP: #506910). 

 -- Paul Larson <paul.larson@canonical.com>  Thu, 04 Feb 2010 17:53:09 -0800

bootchart (0.90.2-5) lucid; urgency=low

  * debian/control: Also add Breaks on bootchart-java to attempt to
    force removal.

 -- Scott James Remnant <scott@ubuntu.com>  Sun, 29 Nov 2009 14:37:52 +0000

bootchart (0.90.2-4) lucid; urgency=low

  * Crop the chart down to the first idle period after gnome-panel has
    started.  LP: #438015.
    - will need equivalent processes for Kubuntu, Xubuntu, etc.
  * Remove bootchart-java from recommends, pybootchartgui is the only
    recommended version now.
  * Don't exit with an error when disabled, just stop the job.
    LP: #445836.

 -- Scott James Remnant <scott@ubuntu.com>  Sun, 29 Nov 2009 14:31:53 +0000

## bootchart 0.90.2-8

=== debian/changelog ===
bootchart (0.90.2-8) natty; urgency=low

  * Handle multiarch libc paths (thanks, James Hunt; LP: #737487).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Mar 2011 13:21:04 +0000

## bootchart 0.90.2-8ubuntu1

=== debian/changelog ===
bootchart (0.90.2-8ubuntu1) oneiric; urgency=low

  * debian/bootchart.initramfs-script: /dev/.initramfs/ → /run/initramfs
    transition. (LP: #810956)
  * Move to Ubuntuish version number, as Debian also has a bootchart package.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Jul 2011 11:30:32 +0200

## bootchart 0.90.2-8ubuntu2

=== debian/changelog ===
bootchart (0.90.2-8ubuntu2) saucy; urgency=low

  * make sure we really test for the right LOG dir not just for the toplevel
  * add unity8 to the --crop-after list of teh chart creation, so charting
    works on ubuntu touch too

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 03 Oct 2013 15:12:45 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 Package: bootchart
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, upstart (>= 0.6.3-4), initramfs-tools, lsb-base, lsb-release, klibc-utils (>= 1.1.1-4ubuntu6)
-Recommends: bootchart-java | pybootchartgui
+Recommends: pybootchartgui
+Breaks: bootchart-java
 Description: boot sequence auditing
  bootchart allows you to audit the boot sequence of your computer and
  generate a pretty chart of the processes run, including how long they

=== debian/rules ===
--- 
+++ 
@@ -29,10 +29,6 @@
 	install -D -m 755 -o root -g root bootchart-gather.sh \
 		debian/bootchart/lib/bootchart/gather
 
-	install -D -m 755 -o root -g root debian/bootchart.init \
-		debian/bootchart/etc/init.d/bootchart
-	install -D -m 755 -o root -g root debian/bootchart.stop.init \
-		debian/bootchart/etc/init.d/stop-bootchart
 	install -D -m 755 -o root -g root debian/bootchart.initramfs-hook \
 		debian/bootchart/usr/share/initramfs-tools/hooks/bootchart
 	install -D -m 755 -o root -g root debian/bootchart.initramfs-script \
@@ -52,6 +48,7 @@
 	dh_testroot
 	dh_installdocs
 	dh_installchangelogs
+	dh_installinit --no-start
 	dh_link
 	dh_strip
 	dh_compress
